Package org.codehaus.janino

# Class Java.SwitchStatement.SwitchBlockStatementGroup

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.SwitchStatement.SwitchBlockStatementGroup

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java.SwitchStatement`

public static class Java.SwitchStatement.SwitchBlockStatementGroup extends Java.Located
Representation of a "switch block statement group" as defined in JLS7 14.11.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<Java.BlockStatement>`
`blockStatements`
The statements following the CASE labels.
`final List<Java.Rvalue>`
`caseLabels`
The CASE labels at the top of the "switch block statement group".
`final boolean`
`hasDefaultLabel`
Whether this "switch block statement group" includes the DEFAULT label.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`SwitchBlockStatementGroup(Location location, List<Java.Rvalue> caseLabels, boolean hasDefaultLabel, List<Java.BlockStatement> blockStatements)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### caseLabels

public final List<Java.Rvalue> caseLabels
The CASE labels at the top of the "switch block statement group".

### hasDefaultLabel

public final boolean hasDefaultLabel
Whether this "switch block statement group" includes the DEFAULT label.

### blockStatements

public final List<Java.BlockStatement> blockStatements
The statements following the CASE labels.

## Constructor Details

### SwitchBlockStatementGroup

public SwitchBlockStatementGroup(Location location, List<Java.Rvalue> caseLabels, boolean hasDefaultLabel, List<Java.BlockStatement> blockStatements)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`